Index: src/classlist.cpp
===================================================================
--- src/classlist.cpp	(revision 637)
+++ src/classlist.cpp	(working copy)
@@ -153,9 +153,13 @@
           ol.endMemberItem();
           if (!cd->briefDescription().isEmpty())
           {
+            QList<ParseRequest> l_requests;
+            ParseRequest l_brief = {cd->briefFile(), cd->briefDescription(), cd->briefLine()};
+            l_requests.append(&l_brief);
+
             ol.startMemberDescription();
-            ol.parseDoc(cd->briefFile(),cd->briefLine(),cd,0,
-                cd->briefDescription(),FALSE,FALSE);
+            ol.parseDoc(l_requests,cd,0,FALSE,FALSE);
+
             if (//(!cd->briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF")) ||
                 //!cd->documentation().isEmpty())
                 cd->isLinkableInProject()
Index: src/rtfdocvisitor.cpp
===================================================================
--- src/rtfdocvisitor.cpp	(revision 637)
+++ src/rtfdocvisitor.cpp	(working copy)
@@ -661,6 +661,8 @@
       m_t << theTranslator->trRemarks(); break;
     case DocSimpleSect::Attention:
       m_t << theTranslator->trAttention(); break;
+    case DocSimpleSect::Progression:
+      m_t << theTranslator->trProgression(); break;
     case DocSimpleSect::User: break;
     case DocSimpleSect::Rcs: break;
     case DocSimpleSect::Unknown:  break;
Index: src/translator_fa.h
===================================================================
--- src/translator_fa.h	(revision 637)
+++ src/translator_fa.h	(working copy)
@@ -32,7 +32,7 @@
 #define HtmlDivEnd          QCString("</div>")
 
 
-class TranslatorPersian : public Translator
+class TranslatorPersian : public TranslatorAdapter_1_5_6
 {
   public:
 
Index: src/translatordecoder.h
===================================================================
--- src/translatordecoder.h	(revision 637)
+++ src/translatordecoder.h	(working copy)
@@ -707,6 +707,11 @@
     QCString trTypeConstraints()
     { return toUtf8(m_translator->trTypeConstraints()); }
 
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.4
+//////////////////////////////////////////////////////////////////////////
+    QCString trProgression()  
+    { return toUtf8(m_translator->trProgression()); }
 
 //////////////////////////////////////////////////////////////////////////
   private:
Index: src/translator_hr.h
===================================================================
--- src/translator_hr.h	(revision 637)
+++ src/translator_hr.h	(working copy)
@@ -71,7 +71,7 @@
 #ifndef TRANSLATOR_HR_H
 #define TRANSLATOR_HR_H
 
-class TranslatorCroatian : public Translator
+class TranslatorCroatian : public TranslatorAdapter_1_5_6
 {
   private:
         /*! to avoid macro redefinition from translator_cz.h */
Index: src/translator.h
===================================================================
--- src/translator.h	(revision 637)
+++ src/translator.h	(working copy)
@@ -72,6 +72,7 @@
 
     virtual QCString trRelatedFunctions() = 0;
     virtual QCString trRelatedSubscript() = 0;
+    
     virtual QCString trDetailedDescription() = 0;
     virtual QCString trMemberTypedefDocumentation() = 0;
     virtual QCString trMemberEnumerationDocumentation() = 0;
@@ -476,6 +477,11 @@
     virtual QCString trSubprogram(bool first_capital, bool singular) = 0;
     virtual QCString trTypeConstraints() = 0;
 
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.6
+//////////////////////////////////////////////////////////////////////////
+    virtual QCString trProgression() = 0;
+    
 };
 
 #endif
Index: src/util.cpp
===================================================================
--- src/util.cpp	(revision 637)
+++ src/util.cpp	(working copy)
@@ -6395,7 +6395,16 @@
   QString result;
   if (doc.isEmpty()) return result.data();
   QTextStream t(&result,IO_WriteOnly);
-  DocNode *root = validatingParseDoc(fileName,lineNr,Doxygen::globalScope,0,doc,FALSE,FALSE);
+
+  QList<ParseRequest> l_requests;
+  ParseRequest l_doc = {
+    QCString(fileName),
+    QCString(doc),
+    lineNr
+  };
+  l_requests.append(&l_doc);
+  
+  DocNode *root = validatingParseDoc(l_requests,Doxygen::globalScope,0,FALSE,FALSE);
   TextDocVisitor *visitor = new TextDocVisitor(t);
   root->accept(visitor);
   delete visitor;
@@ -6596,7 +6605,16 @@
     linkifyText(TextGeneratorOLImpl(ol),d,0,0,a->type);
     ol.endConstraintType();
     ol.startConstraintDocs();
-    ol.parseDoc(d->docFile(),d->docLine(),d,0,a->docs,TRUE,FALSE);
+
+    QList<ParseRequest> l_requests;
+    ParseRequest l_doc = {
+      d->docFile(),
+      a->docs,
+      d->docLine()
+    };
+    l_requests.append(&l_doc);
+
+    ol.parseDoc(l_requests,d,0,TRUE,FALSE);
     ol.endConstraintDocs();
   }
   ol.endConstraintList();
Index: src/translator_cn.h
===================================================================
--- src/translator_cn.h	(revision 637)
+++ src/translator_cn.h	(working copy)
@@ -24,7 +24,7 @@
 */
 #define CN_SPC
 
-class TranslatorChinese : public Translator
+class TranslatorChinese : public TranslatorAdapter_1_5_6
 {
   public:
 		/*! Used for identification of the language. The identification
Index: src/translator_cz.h
===================================================================
--- src/translator_cz.h	(revision 637)
+++ src/translator_cz.h	(working copy)
@@ -77,7 +77,7 @@
 //    something else.  It is difficult to find the general translation
 //    for all kinds in the Czech language.
 
-class TranslatorCzech : public Translator
+class TranslatorCzech : public TranslatorAdapter_1_5_6
 {
   public:
     // --- Language control methods -------------------
Index: src/translator_kr.h
===================================================================
--- src/translator_kr.h	(revision 637)
+++ src/translator_kr.h	(working copy)
@@ -50,7 +50,7 @@
  Translator class (by the local maintainer) when the localized
  translator is made up-to-date again.
 */
-class TranslatorKorean : public Translator
+class TranslatorKorean : public TranslatorAdapter_1_5_6
 {
   protected:
     friend class TranslatorAdapterBase;
Index: src/dirdef.cpp
===================================================================
--- src/dirdef.cpp	(revision 637)
+++ src/dirdef.cpp	(working copy)
@@ -124,14 +124,22 @@
     // repeat brief description
     if (!briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF"))
     {
-      ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),FALSE,FALSE);
+      QList<ParseRequest> l_requests;
+      ParseRequest l_brief = { briefFile(), briefDescription(), briefLine() };
+      l_requests.append(&l_brief);
+
+      ol.parseDoc(l_requests,this,0,FALSE,FALSE);
       ol.newParagraph();
     }
 
     // write documentation
     if (!documentation().isEmpty())
     {
-      ol.parseDoc(docFile(),docLine(),this,0,documentation()+"\n",TRUE,FALSE);
+      QList<ParseRequest> l_requests;
+      ParseRequest l_doc = { docFile(), documentation()+"\n", docLine() };
+      l_requests.append(&l_doc);
+
+      ol.parseDoc(l_requests,this,0,TRUE,FALSE);
     }
   }
 }
@@ -168,7 +176,11 @@
   }
   else if (!briefDescription().isEmpty())
   {
-    ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),TRUE,FALSE);
+    QList<ParseRequest> l_requests;
+    ParseRequest l_brief = { briefFile(), briefDescription(), briefLine() };
+    l_requests.append(&l_brief);
+
+    ol.parseDoc(l_requests,this,0,TRUE,FALSE);
     ol.writeString(" \n");
     ol.pushGeneratorState();
     ol.disable(OutputGenerator::Latex);
@@ -229,8 +241,12 @@
       }
       if (!dd->briefDescription().isEmpty() && Config_getBool("BRIEF_MEMBER_DESC"))
       {
+        QList<ParseRequest> l_requests;
+        ParseRequest l_brief = { briefFile(), dd->briefDescription(), briefLine() };
+        l_requests.append(&l_brief);
+
         ol.startMemberDescription();
-        ol.parseDoc(briefFile(),briefLine(),dd,0,dd->briefDescription(),
+        ol.parseDoc(l_requests,dd,0,
             FALSE, // indexWords
             FALSE, // isExample
             0,     // exampleName
@@ -288,8 +304,12 @@
       ol.endMemberItem();
       if (!fd->briefDescription().isEmpty() && Config_getBool("BRIEF_MEMBER_DESC"))
       {
+        QList<ParseRequest> l_requests;
+        ParseRequest l_brief = { briefFile(), fd->briefDescription(), briefLine() };
+        l_requests.append(&l_brief);
+
         ol.startMemberDescription();
-        ol.parseDoc(briefFile(),briefLine(),fd,0,fd->briefDescription(),
+        ol.parseDoc(l_requests,fd,0,
             FALSE, // indexWords
             FALSE, // isExample
             0,     // exampleName
Index: src/translator_de.h
===================================================================
--- src/translator_de.h	(revision 637)
+++ src/translator_de.h	(working copy)
@@ -120,7 +120,7 @@
 #ifndef TRANSLATOR_DE_H
 #define TRANSLATOR_DE_H
 
-class TranslatorGerman : public Translator
+class TranslatorGerman : public TranslatorAdapter_1_5_6
 {
   public:
 
Index: src/compound_xsd.h
===================================================================
--- src/compound_xsd.h	(revision 637)
+++ src/compound_xsd.h	(working copy)
@@ -753,6 +753,7 @@
 "      <xsd:enumeration value=\"attention\" />\n"
 "      <xsd:enumeration value=\"par\" />\n"
 "      <xsd:enumeration value=\"rcs\" />\n"
+"      <xsd:enumeration value=\"progression\" />\n"
 "    </xsd:restriction>\n"
 "  </xsd:simpleType>\n"
 "\n"
Index: src/cmdmapper.cpp
===================================================================
--- src/cmdmapper.cpp	(revision 637)
+++ src/cmdmapper.cpp	(working copy)
@@ -111,6 +111,8 @@
   { "endmanonly",    CMD_ENDMANONLY },
   { "includelineno", CMD_INCWITHLINES },
   { "inheritdoc",    CMD_INHERITDOC },
+  { "progression",   CMD_PROGRESSION },
+  { "ps",            CMD_PROGRESSION },
   { 0,               0 }
 };
 
Index: src/vhdldocgen.cpp
===================================================================
--- src/vhdldocgen.cpp	(revision 637)
+++ src/vhdldocgen.cpp	(working copy)
@@ -2010,8 +2010,12 @@
   ol.endMemberItem();
   if (!mdef->briefDescription().isEmpty() &&   Config_getBool("BRIEF_MEMBER_DESC") /* && !annMemb */)
   {
+    QList<ParseRequest> l_requests;
+    ParseRequest l_brief = { mdef->briefFile(), mdef->briefDescription(), mdef->briefLine() };
+    l_requests.append(&l_brief);
+
     ol.startMemberDescription();
-    ol.parseDoc(mdef->briefFile(),mdef->briefLine(),mdef->getOuterScope()?mdef->getOuterScope():d,mdef,mdef->briefDescription(),TRUE,FALSE);
+    ol.parseDoc(l_requests,mdef->getOuterScope()?mdef->getOuterScope():d,mdef,TRUE,FALSE);
     if (detailsVisible) 
     {
       ol.pushGeneratorState();
@@ -2125,7 +2129,12 @@
   if (subtitle && subtitle[0]!=0) 
   {
     ol.startMemberSubtitle();
-    ol.parseDoc("[generated]",-1,0,0,subtitle,FALSE,FALSE);
+
+    QList<ParseRequest> l_requests;
+    ParseRequest l_gen = {"[generated]", subtitle, -1 };
+    l_requests.append(&l_gen);
+
+    ol.parseDoc(l_requests,0,0,FALSE,FALSE);
     ol.endMemberSubtitle();
   } //printf("memberGroupList=%p\n",memberGroupList);
 
@@ -2149,9 +2158,13 @@
         ol.endMemberGroupHeader();
         if (!mg->documentation().isEmpty())
         {
+          QList<ParseRequest> l_requests;
+          ParseRequest l_doc = {"[generated]",mg->documentation()+"\n",-1};
+          l_requests.append(&l_doc);
+
           //printf("Member group has docs!\n");
           ol.startMemberGroupDocs();
-          ol.parseDoc("[generated]",-1,0,0,mg->documentation()+"\n",FALSE,FALSE);
+          ol.parseDoc(l_requests,0,0,FALSE,FALSE);
           ol.endMemberGroupDocs();
         }
         ol.startMemberGroup();
Index: src/mandocvisitor.cpp
===================================================================
--- src/mandocvisitor.cpp	(revision 637)
+++ src/mandocvisitor.cpp	(working copy)
@@ -446,6 +446,8 @@
       m_t << theTranslator->trRemarks(); break;
     case DocSimpleSect::Attention:
       m_t << theTranslator->trAttention(); break;
+    case DocSimpleSect::Progression:
+      m_t << theTranslator->trProgression(); break;
     case DocSimpleSect::User: break;
     case DocSimpleSect::Rcs: break;
     case DocSimpleSect::Unknown:  break;
Index: src/latexdocvisitor.cpp
===================================================================
--- src/latexdocvisitor.cpp	(revision 637)
+++ src/latexdocvisitor.cpp	(working copy)
@@ -525,6 +525,8 @@
       filter(theTranslator->trRemarks()); break;
     case DocSimpleSect::Attention:
       filter(theTranslator->trAttention()); break;
+    case DocSimpleSect::Progression:
+      filter(theTranslator->trProgression()); break;
     case DocSimpleSect::User: break;
     case DocSimpleSect::Rcs: break;
     case DocSimpleSect::Unknown:  break;
Index: src/perlmodgen.cpp
===================================================================
--- src/perlmodgen.cpp	(revision 637)
+++ src/perlmodgen.cpp	(working copy)
@@ -24,6 +24,7 @@
 #include "message.h"
 #include "doxygen.h"
 #include "pagedef.h"
+#include "outputlist.h"
 
 #include <qdir.h>
 #include <qstack.h>
@@ -787,31 +788,14 @@
 
 void PerlModDocVisitor::visitPre(DocSimpleSect *s)
 {
-  const char *type = 0;
-  switch (s->type())
-  {
-  case DocSimpleSect::See:		type = "see"; break;
-  case DocSimpleSect::Return:		type = "return"; break;
-  case DocSimpleSect::Author:		type = "author"; break;
-  case DocSimpleSect::Authors:		type = "authors"; break;
-  case DocSimpleSect::Version:		type = "version"; break;
-  case DocSimpleSect::Since:		type = "since"; break;
-  case DocSimpleSect::Date:		type = "date"; break;
-  case DocSimpleSect::Note:		type = "bug"; break;
-  case DocSimpleSect::Warning:		type = "warning"; break;
-  case DocSimpleSect::Pre:		type = "pre"; break;
-  case DocSimpleSect::Post:		type = "post"; break;
-  case DocSimpleSect::Invar:		type = "invariant"; break;
-  case DocSimpleSect::Remark:		type = "remark"; break;
-  case DocSimpleSect::Attention:	type = "attention"; break;
-  case DocSimpleSect::User:		type = "par"; break;
-  case DocSimpleSect::Rcs:		type = "rcs"; break;
-  case DocSimpleSect::Unknown:
+  QCString l_input(getSimpleSectTypeString(s->type()));
+
+  if( s->type() == DocSimpleSect::Unknown ) {
     err("Error: unknown simple section found\n");
-    break;
   }
+  
   openOther();
-  openSubBlock(type);
+  openSubBlock(l_input);
 }
 
 void PerlModDocVisitor::visitPost(DocSimpleSect *)
@@ -1312,10 +1296,15 @@
 			    const QCString &text)
 {
   QCString stext = text.stripWhiteSpace();
+
   if (stext.isEmpty())
     output.addField(name).add("{}");
   else {
-    DocNode *root = validatingParseDoc(fileName,lineNr,scope,md,stext,FALSE,0);
+    QList<ParseRequest> l_requests;
+    ParseRequest l_doc = {fileName, stext, lineNr};
+    l_requests.append(&l_doc);
+
+    DocNode *root = validatingParseDoc(l_requests,scope,md,FALSE,0);
     output.openHash(name);
     PerlModDocVisitor *visitor = new PerlModDocVisitor(output);
     root->accept(visitor);
Index: src/filedef.cpp
===================================================================
--- src/filedef.cpp	(revision 637)
+++ src/filedef.cpp	(working copy)
@@ -172,7 +172,11 @@
     ol.startTextBlock();
     if (!briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF"))
     {
-      ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),FALSE,FALSE);
+      QList<ParseRequest> l_requests;
+      ParseRequest l_brief = { briefFile(), briefDescription(), briefLine() };
+      l_requests.append(&l_brief);
+
+      ol.parseDoc(l_requests,this,0,FALSE,FALSE);
     }
     if (!briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF") && 
         !documentation().isEmpty())
@@ -187,9 +191,13 @@
     }
     if (!documentation().isEmpty())
     {
+      QList<ParseRequest> l_requests;
+      ParseRequest l_brief = { docFile(), documentation() + "\n", docLine()};
+      l_requests.append(&l_brief);
+
       //if (doc.at(dl-1)!='.' && doc.at(dl-1)!='!' && doc.at(dl-1)!='?') 
       //  doc+='.';
-      ol.parseDoc(docFile(),docLine(),this,0,documentation()+"\n",TRUE,FALSE);
+      ol.parseDoc(l_requests,this,0,TRUE,FALSE);
     }
     //printf("Writing source ref for file %s\n",name().data());
     if (Config_getBool("SOURCE_BROWSER")) 
@@ -301,7 +309,11 @@
   }
   else if (!briefDescription().isEmpty()) 
   {
-    ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),TRUE,FALSE);
+    QList<ParseRequest> l_requests;
+    ParseRequest l_brief = { briefFile(), briefDescription(), briefLine() };
+    l_requests.append(&l_brief);
+
+    ol.parseDoc(l_requests,this,0,TRUE,FALSE);
     //ol.writeString(" \n");
     ol.disableAllBut(OutputGenerator::Html);
     ol.startTextLink(0,"_details");
Index: src/memberlist.cpp
===================================================================
--- src/memberlist.cpp	(revision 637)
+++ src/memberlist.cpp	(working copy)
@@ -246,14 +246,13 @@
               ol.endMemberItem();
               if (!md->briefDescription().isEmpty() && Config_getBool("BRIEF_MEMBER_DESC"))
               {
+                QList<ParseRequest> l_requests;
+                ParseRequest l_brief = {md->briefFile(),md->briefDescription(),md->briefLine()};
+                l_requests.append(&l_brief);
+
                 ol.startMemberDescription();
-                ol.parseDoc(
-                    md->briefFile(),md->briefLine(),
-                    cd,md,
-                    md->briefDescription(),
-                    TRUE,
-                    FALSE
-                    );
+
+                ol.parseDoc(l_requests,cd,md,TRUE,FALSE);
                 if (md->isDetailedSectionLinkable())
                 {
                   ol.disableAllBut(OutputGenerator::Html);
@@ -336,9 +335,13 @@
   }
   if (subtitle && subtitle[0]!=0) 
   {
+    QList<ParseRequest> l_requests;
+    ParseRequest l_gen = { "[generated]", subtitle, -1 };
+    l_requests.append(&l_gen);
+
     //printf("subtitle=`%s'\n",subtitle);
     ol.startMemberSubtitle();
-    ol.parseDoc("[generated]",-1,ctx,0,subtitle,FALSE,FALSE);
+    ol.parseDoc(l_requests,ctx,0,FALSE,FALSE);
     ol.endMemberSubtitle();
   }
 
@@ -361,9 +364,13 @@
       ol.endMemberGroupHeader();
       if (!mg->documentation().isEmpty())
       {
+        QList<ParseRequest> l_requests;
+        ParseRequest l_gen = {"[generated]",mg->documentation()+"\n",-1};
+        l_requests.append(&l_gen);
+
         //printf("Member group has docs!\n");
         ol.startMemberGroupDocs();
-        ol.parseDoc("[generated]",-1,ctx,0,mg->documentation()+"\n",FALSE,FALSE);
+        ol.parseDoc(l_requests,ctx,0,FALSE,FALSE);
         ol.endMemberGroupDocs();
       }
       ol.startMemberGroup();
Index: src/xmldocvisitor.cpp
===================================================================
--- src/xmldocvisitor.cpp	(revision 637)
+++ src/xmldocvisitor.cpp	(working copy)
@@ -423,6 +423,8 @@
       m_t << "par"; break;
     case DocSimpleSect::Rcs: 
       m_t << "rcs"; break;
+    case DocSimpleSect::Progression:
+      m_t << "progression"; break;
     case DocSimpleSect::Unknown:  break;
   }
   m_t << "\">";
Index: src/commentscan.l
===================================================================
--- src/commentscan.l	(revision 637)
+++ src/commentscan.l	(working copy)
@@ -219,6 +219,8 @@
   { "tparam",          0,                       TRUE  },
   { "post",            0,                       TRUE  },
   { "pre",             0,                       TRUE  },
+  { "progression",     0,                       TRUE  },
+  { "ps",              0,                       TRUE  },
   { "remark",          0,                       TRUE  },
   { "remarks",         0,                       TRUE  },
   { "result",          0,                       TRUE  },
@@ -777,7 +779,8 @@
 DCMD9     ("see"|"since"|"subsection"|"subsubsection")
 DCMD10    ("throw"|"until"|"verbatim")
 DCMD11    ("verbinclude"|"version"|"warning")
-DETAILEDCMD {CMD}({DCMD1}|{DCMD2}|{DCMD3}|{DCMD4}|{DCMD5}|{DCMD6}|{DCMD7}|{DCMD8}|{DCMD9}|{DCMD10}|{DCMD11})
+DCMD12    ("progression"|"ps")
+DETAILEDCMD {CMD}({DCMD1}|{DCMD2}|{DCMD3}|{DCMD4}|{DCMD5}|{DCMD6}|{DCMD7}|{DCMD8}|{DCMD9}|{DCMD10}|{DCMD11}|{DCMD12})
 XREFCMD   {CMD}("bug"|"deprecated"|"test"|"todo"|"xrefitem")  
 PRE       [pP][rR][eE]
 TABLE	  [tT][aA][bB][lL][eE]
Index: src/printdocvisitor.h
===================================================================
--- src/printdocvisitor.h	(revision 637)
+++ src/printdocvisitor.h	(working copy)
@@ -287,6 +287,7 @@
 	case DocSimpleSect::Attention: printf("attention"); break;
 	case DocSimpleSect::User: printf("user"); break;
 	case DocSimpleSect::Rcs: printf("rcs"); break;
+  case DocSimpleSect::Progression: printf("progression"); break; 
 	case DocSimpleSect::Unknown: printf("unknown"); break;
       }
       printf(">\n");
Index: src/doxygen.cpp
===================================================================
--- src/doxygen.cpp	(revision 637)
+++ src/doxygen.cpp	(working copy)
@@ -7953,11 +7953,18 @@
     startTitle(*outputList,n);
     outputList->docify(pd->name());
     endTitle(*outputList,n,0);
-    outputList->parseDoc(pd->docFile(),                            // file
-                         pd->docLine(),                            // startLine
+
+    QList<ParseRequest> l_requests;
+    ParseRequest l_doc = { 
+      pd->docFile(),                                              // file
+   		pd->documentation()+"\n\n\\include "+pd->name(),            // docs
+      pd->docLine() 											                        // startLine
+    };
+    l_requests.append(&l_doc);
+
+    outputList->parseDoc(l_requests,
                          pd,                                       // context
                          0,                                        // memberDef
-                         pd->documentation()+"\n\n\\include "+pd->name(),          // docs
                          TRUE,                                     // index words
                          TRUE,                                     // is example
                          pd->name()
Index: src/config.l
===================================================================
--- src/config.l	(revision 637)
+++ src/config.l	(working copy)
@@ -2010,7 +2010,16 @@
 		   "is used as the file version. See the manual for examples. \n"
               );
   cs->setWidgetType(ConfigString::File);
-  
+  cl = addList(
+                    "GROUPED_SECTIONS",
+					"With this setting it is possible to alter the behavior of the section \n"
+					"commands including return, author, authors, version, since, date, note, \n"
+					"warning, pre, post, invariant, remark, attention and par. Each of these \n"
+					"commands, when specified in this configuration option, causes doxygen \n"
+					"to join all content associated with that command into a single \n"
+					"section."
+                 );
+
   //-----------------------------------------------------------------------------------------------
   addInfo(  "Messages","configuration options related to warning and progress messages");
   //-----------------------------------------------------------------------------------------------
@@ -3178,7 +3187,7 @@
   addObsolete("DOC_ABSPATH");
   addObsolete("BIN_ABSPATH");
   addObsolete("EXT_DOC_PATHS");
-
+  
   // The IMAGE_PATTERNS tag is now officially obsolete.
 }
 
Index: src/outputlist.h
===================================================================
--- src/outputlist.h	(revision 637)
+++ src/outputlist.h	(working copy)
@@ -42,6 +42,12 @@
 class SectionDict;
 class DotGroupCollaboration;
 
+struct ParseRequest {
+	QCString fileName;
+	QCString docString;
+	int startLine;
+};
+
 class OutputList : public OutputDocInterface
 {
   public:
@@ -64,8 +70,8 @@
     // OutputDocInterface implementation
     //////////////////////////////////////////////////
 
-    void parseDoc(const char *fileName,int startLine,
-                  Definition *ctx,MemberDef *md,const QCString &docStr,
+    void parseDoc(QList<ParseRequest> requests,
+                  Definition *ctx,MemberDef *md,
                   bool indexWords,bool isExample,const char *exampleName=0,
                   bool singleLine=FALSE,bool linkFromIndex=FALSE);
     void parseText(const QCString &textStr);
Index: src/translator_ru.h
===================================================================
--- src/translator_ru.h	(revision 637)
+++ src/translator_ru.h	(working copy)
@@ -26,7 +26,7 @@
 #ifndef TRANSLATOR_RU_H
 #define TRANSLATOR_RU_H
 
-class TranslatorRussian : public Translator
+class TranslatorRussian : public TranslatorAdapter_1_5_6
 {
   public:
     /*! Used for identification of the language. */
Index: src/namespacedef.cpp
===================================================================
--- src/namespacedef.cpp	(revision 637)
+++ src/namespacedef.cpp	(working copy)
@@ -244,7 +244,11 @@
     ol.startTextBlock();
     if (!briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF"))
     {
-      ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),FALSE,FALSE);
+      QList<ParseRequest> l_requests;
+      ParseRequest l_brief = {briefFile(),briefDescription(),briefLine()};
+      l_requests.append(&l_brief);
+
+      ol.parseDoc(l_requests,this,0,FALSE,FALSE);
     }
     if (!briefDescription().isEmpty() && Config_getBool("REPEAT_BRIEF") &&
         !documentation().isEmpty())
@@ -259,7 +263,12 @@
     }
     if (!documentation().isEmpty())
     {
-      ol.parseDoc(docFile(),docLine(),this,0,documentation()+"\n",TRUE,FALSE);
+      
+      QList<ParseRequest> l_requests;
+      ParseRequest l_doc = {docFile(),documentation()+"\n",docLine()};
+      l_requests.append(&l_doc);
+
+      ol.parseDoc(l_requests,this,0,TRUE,FALSE);
       //ol.newParagraph();
     }
     ol.endTextBlock();
@@ -318,7 +327,11 @@
   }
   else if (!briefDescription().isEmpty()) 
   {
-    ol.parseDoc(briefFile(),briefLine(),this,0,briefDescription(),TRUE,FALSE);
+    QList<ParseRequest> l_requests;
+    ParseRequest l_brief = {briefFile(),briefDescription(),briefLine()};
+    l_requests.append(&l_brief);
+
+    ol.parseDoc(l_requests,this,0,TRUE,FALSE);
     ol.writeString(" \n");
     ol.pushGeneratorState();
     ol.disableAllBut(OutputGenerator::Html);
@@ -694,8 +707,12 @@
       ol.endMemberItem();
       if (!nd->briefDescription().isEmpty() && Config_getBool("BRIEF_MEMBER_DESC"))
       {
+        QList<ParseRequest> l_requests;
+        ParseRequest l_brief = {nd->briefFile(),nd->briefDescription(),nd->briefLine()};
+        l_requests.append(&l_brief);
+
         ol.startMemberDescription();
-        ol.parseDoc(nd->briefFile(),nd->briefLine(),nd,0,nd->briefDescription(),FALSE,FALSE);
+        ol.parseDoc(l_requests,nd,0,FALSE,FALSE);
         ol.endMemberDescription();
         ol.newParagraph();
       }
